| Home | Libraries | People | FAQ | More

## Class template popcount

boost::compute::popcount

## Synopsis

    // In header: <boost/compute/functional/popcount.hpp>

    template<typename T>
    class popcount : public function< T(T)> {
    public:
      // construct/copy/destruct
      popcount();
    };

## Description

Returns the number of non-zero bits in `x`.

See the documentation for popcount() for more information.

### `popcount` public construct/copy/destruct

1.     popcount();